Subject: Re: DEBUG_LOCKS_WARN_ON triggered by bcm43xx-SoftMAC

From: Larry Finger <[email-masked]>
Date: Wed, 16 Aug 2006 11:26:42 -0500

Michael Buesch wrote:
> 
> Hm, weird bug.
> I can't reproduce this on i386 or PPC.
> Could it be a bug in the lockdep code?
> 

It could be. I'll send it on to LKML. Perhaps one of the experts
there can tell us. It doesn't seem to cause any trouble, but I get
one of these when bcm43xx starts.

Are you running WPA? The message seems to occur just after
wpa_supplicant finishes the connection and sets the security flags.

Larry